/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2006, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.metadata.rar.jboss.mcf;

import javax.xml.bind.annotation.XmlType;

/**
 * A NoTxDataSourceDeploymentMetaData.
 * 
 * @author <a href="weston.price@jboss.org">Weston Price</a>
 * @author Jeff Zhang
 * @version $Revision: 84046 $
 */
@XmlType(name="no-tx-datasource", propOrder={"jndiName", "useJavaContext", "connectionUrl", "urlDelimiter", "urlSelectorStrategyClassName",
      "driverClass", "connectionProperties", "userName", "passWord", "securityMetaData", "minSize", "maxSize", "blockingTimeoutMilliSeconds",
      "backgroundValidation", "backgroundValidationMillis", "idleTimeoutMinutes", "allocationRetry", "allocationRetryWaitMillis",
      "validateOnMatch", "newConnectionSQL", "checkValidConnectionSQL", "validConnectionCheckerClassName", "exceptionSorterClassName",
      "staleConnectionCheckerClassName", "trackStatements", "prefill", "preparedStatementCacheSize", "sharePreparedStatements",
      "useQueryTimeout", "queryTimeout", "useTryLock", "dbmsMetaData", "typeMapping", "dependsNames"})
public class NoTxDataSourceDeploymentMetaData extends NonXADataSourceDeploymentMetaData
{
   /** The serialVersionUID */
   private static final long serialVersionUID = -5354506847562754007L;
   
   @Override
   public ManagedConnectionFactoryTransactionSupportMetaData getTransactionSupportMetaData()
   {
      return ManagedConnectionFactoryTransactionSupportMetaData.NONE;
      
   }
   

}
