/*
 * JBoss, Home of Professional Open Source
 * Copyright (c) 2010, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.metadata.jbmeta277;

import org.junit.Test;

import java.net.URL;

import static junit.framework.Assert.assertNull;
import static org.junit.Assert.fail;

/**
 * @author <a href="cdewolf@redhat.com">Carlo de Wolf</a>
 */
public class NoJPA2TestCase
{
   @Test
   public void testSchema()
   {
      URL url = getClass().getResource("/schema/persistence_2_0.xsd");
      assertNull("Should not have persistence_2_0.xsd schema", url);
   }

   @Test
   public void testSharedCacheMode()
   {
      String className = "org.jboss.metadata.jpa.spec.SharedCacheMode";
      try
      {
         Class.forName(className);
         fail("Should not have " + className);
      }
      catch(ClassNotFoundException e)
      {
         // happy, happy, joy, joy
      }
   }
}
