/*
* JBoss, Home of Professional Open Source
* Copyright 2008, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package org.jboss.test.metadata.rar;

import org.jboss.metadata.rar.spec.JCA15DefaultNSMetaData;
import org.jboss.test.metadata.common.MetaDataSchemaResolverFactory;
import org.jboss.test.metadata.javaee.AbstractJavaEEMetaDataTest;
import org.jboss.xb.binding.resolver.MutableSchemaResolver;
import org.jboss.xb.binding.sunday.unmarshalling.SchemaBindingResolver;

/**
 * Test ResourceAdapter ra.xml metadata with default nameworkspace
 *
 * @author Jeff Zhang
 * @version $Revision: $
 */
public class RA15DefaultNSUnitTestCase extends AbstractJavaEEMetaDataTest
{   
   public static SchemaBindingResolver initResolver()
   {
      MutableSchemaResolver resolver = MetaDataSchemaResolverFactory.createSchemaResolver();
      resolver.mapLocationToClass("connector", JCA15DefaultNSMetaData.class);
      return resolver;
   }   

   public RA15DefaultNSUnitTestCase(String name)
   {
      super(name);
   }

   public void testDefaultNS() throws Exception
   {
      JCA15DefaultNSMetaData connector = unmarshal(JCA15DefaultNSMetaData.class);
      assertNotNull(connector);
   }
}
